Package com.ads.api.beans.tm

# Class TestCaseValidationStep

java.lang.Object
com.ads.api.beans.tm.TestCaseValidationStep

public class TestCaseValidationStep extends Object
This class provides some beans control methods related to TestCase ValidationStep, stepName, its Description, Status, ExpectedResult, ActualResult and AuditHistory Details.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestCaseValidationStep()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActualResult()`
  Returns the actualResult.
  `String`
  `getComments()`
  Returns the comments.
  `String`
  `getCreatedBy()`
  Returns the CreatedBy.
  `String`
  `getCreatedDate()`
  Returns the createdDate.
  `String`
  `getDescription()`
  Returns the Description.
  `String`
  `getExpectedResult()`
  Returns the ExpectedResult.
  `String`
  `getExternalStepId()`
  Returns the ExternalStepId.
  `String`
  `getModifiedBy()`
  Returns the ModifiedBy.
  `String`
  `getModifiedDate()`
  Returns the modifiedDate.
  `String`
  `getStatus()`
  Returns the Status.
  `int`
  `getStatusId()`
  Returns the StatusId.
  `String`
  `getStepName()`
  Returns the the stepName.
  `int`
  `getStepNumber()`
  Returns the stepNumber.
  `String`
  `getTestCaseId()`
  Returns the testCaseId.
  `int`
  `getValidationStepId()`
  Returns the validationStepId.
  `String`
  `getValidationStepType()`
  Returns the validationStepType.
  `int`
  `getValidationStepTypeId()`
  Returns the validationStepTypeId.
  `void`
  `setActualResult(String actualResult)`
  ActualResult is set as specified ActualResult.
  `void`
  `setComments(String comments)`
  Comments is set as specified Comments.
  `void`
  `setCreatedBy(String createdBy)`
  CreatedBy is set as specified createdBy.
  `void`
  `setCreatedDate(String createdDate)`
  createdDate is set as specified createdDate.
  `void`
  `setDescription(String description)`
  Description is set as specified Description.
  `void`
  `setExpectedResult(String expectedResult)`
  ExpectedResult is set as specified expectedResult.
  `void`
  `setExternalStepId(String externalStepId)`
  ExternalStepId is set as specified ExternalStepId.
  `void`
  `setModifiedBy(String modifiedBy)`
  modifiedBy is set as specified modifiedBy.
  `void`
  `setModifiedDate(String modifiedDate)`
  modifiedDate is set as specified modifiedDate.
  `void`
  `setStatus(String status)`
  Status is set as specified Status.
  `void`
  `setStepName(String StepName)`
  StepName is set as the specified StepName.
  `void`
  `setStepNumber(int stepNumber)`
  stepNumber is set as specified stepNumber.
  `void`
  `setTestCaseId(String testCaseId)`
  TestCaseId is set as the specified testCaseId.
  `void`
  `setValidationStepId(int validationStepId)`
  ValidationStepId is set as specified ValidationStepId.
  `void`
  `setValidationStepType(String validationStepType)`
  validationStepType is set as the specified validationStepType.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TestCaseValidationStep

    public TestCaseValidationStep()

- ## Method Details

  - ### getTestCaseId

    public String getTestCaseId()
    Returns the testCaseId.
    Returns:
      String

  - ### setTestCaseId

    public void setTestCaseId(String testCaseId)
    TestCaseId is set as the specified testCaseId.
    Parameters:
      `testCaseId` - String

  - ### getValidationStepId

    public int getValidationStepId()
    Returns the validationStepId.
    Returns:
      String

  - ### setValidationStepId

    public void setValidationStepId(int validationStepId)
    ValidationStepId is set as specified ValidationStepId.
    Parameters:
      `validationStepId` - String

  - ### getValidationStepType

    public String getValidationStepType()
    Returns the validationStepType.
    Returns:
      String

  - ### getValidationStepTypeId

    public int getValidationStepTypeId()
    Returns the validationStepTypeId.
    TEST_CASE_VALIDATAION_STEP can be TEST_CASE_VALIDATAION_STEP, AMM_OBJECT_TYPES, TEST_CASE_STATUS.
    Returns:
      int

  - ### setValidationStepType

    public void setValidationStepType(String validationStepType)
    validationStepType is set as the specified validationStepType.
    Parameters:
      `validationStepType` - String

  - ### getStepName

    public String getStepName()
    Returns the the stepName.
    Returns:
      String

  - ### setStepName

    public void setStepName(String StepName)
    StepName is set as the specified StepName.
    Parameters:
      `StepName` - String

  - ### getDescription

    public String getDescription()
    Returns the Description.
    Returns:
      String

  - ### setDescription

    public void setDescription(String description)
    Description is set as specified Description.
    Parameters:
      `description` - String

  - ### getComments

    public String getComments()
    Returns the comments.
    Returns:
      String

  - ### setComments

    public void setComments(String comments)
    Comments is set as specified Comments.
    Parameters:
      `comments` - String

  - ### getCreatedBy

    public String getCreatedBy()
    Returns the CreatedBy.
    Returns:
      String

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)
    CreatedBy is set as specified createdBy.
    Parameters:
      `createdBy` - String

  - ### getCreatedDate

    public String getCreatedDate()
    Returns the createdDate.
    Returns:
      String

  - ### setCreatedDate

    public void setCreatedDate(String createdDate)
    createdDate is set as specified createdDate.
    Parameters:
      `createdDate` - String

  - ### getModifiedBy

    public String getModifiedBy()
    Returns the ModifiedBy.
    Returns:
      String

  - ### setModifiedBy

    public void setModifiedBy(String modifiedBy)
    modifiedBy is set as specified modifiedBy.
    Parameters:
      `modifiedBy` - String

  - ### getModifiedDate

    public String getModifiedDate()
    Returns the modifiedDate.
    Returns:
      String

  - ### setModifiedDate

    public void setModifiedDate(String modifiedDate)
    modifiedDate is set as specified modifiedDate.
    Parameters:
      `modifiedDate` - String

  - ### getStatus

    public String getStatus()
    Returns the Status.
    Returns:
      String

  - ### setStatus

    public void setStatus(String status)
    Status is set as specified Status.
    Parameters:
      `status` - String

  - ### getStatusId

    public int getStatusId()
    Returns the StatusId.
    TEST_CASE_STATUS can be TEST_CASE_VALIDATAION_STEP, AMM_OBJECT_TYPES, TEST_CASE_STATUS
    Returns:
      int

  - ### getExpectedResult

    public String getExpectedResult()
    Returns the ExpectedResult.
    Returns:
      String

  - ### setExpectedResult

    public void setExpectedResult(String expectedResult)
    ExpectedResult is set as specified expectedResult.
    Parameters:
      `expectedResult` - String

  - ### getActualResult

    public String getActualResult()
    Returns the actualResult.
    Returns:
      String

  - ### setActualResult

    public void setActualResult(String actualResult)
    ActualResult is set as specified ActualResult.
    Parameters:
      `actualResult` - String

  - ### getExternalStepId

    public String getExternalStepId()
    Returns the ExternalStepId.
    Returns:
      String

  - ### setExternalStepId

    public void setExternalStepId(String externalStepId)
    ExternalStepId is set as specified ExternalStepId.
    Parameters:
      `externalStepId` - String

  - ### getStepNumber

    public int getStepNumber()
    Returns the stepNumber.
    Returns:
      int

  - ### setStepNumber

    public void setStepNumber(int stepNumber)
    stepNumber is set as specified stepNumber.
    Parameters:
      `stepNumber` - int